vennaVenna

Chat

Chat completion endpoints.

POST
/v1/chat/completions
AuthorizationBearer <token>

Workspace API key — Authorization: Bearer vk_.... Billing targets the key workspace.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/chat/completions" \  -H "Content-Type: application/json" \  -d '{    "messages": [      {        "content": "Hello!",        "role": "user"      }    ],    "model": "venna-1"  }'
{  "choices": [    {      "finish_reason": "stop",      "index": 0,      "message": {        "content": "Hello!",        "name": "string",        "reasoning_content": "string",        "refusal": "string",        "role": "user",        "tool_call_id": "string",        "tool_calls": [          {            "function": {              "arguments": "string",              "name": "string"            },            "id": "string",            "type": "function"          }        ]      }    }  ],  "created": 0,  "id": "string",  "model": "string",  "object": "chat.completion",  "service_tier": "auto",  "system_fingerprint": "string",  "usage": {    "completion_tokens": 0,    "completion_tokens_details": {      "accepted_prediction_tokens": 0,      "reasoning_tokens": 0,      "rejected_prediction_tokens": 0    },    "prompt_tokens": 0,    "prompt_tokens_details": {      "cached_tokens": 0    },    "total_tokens": 0  }}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}